package com.bankaudit.service;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintLossEvents;

public interface MaintLossEventsService {
	void createMaintLossEvents(MaintLossEvents maintLossEvents)throws Exception;
	
	void updateMaintLossEvents(MaintLossEvents maintLossEvents);
	
	MaintLossEvents getLossEventsByCodeAndType(Integer legalEntityCode,String lossEventCode,
			String lossEventType,String status);
	
	List<MaintLossEvents> getLossEventsByType(Integer legalEntityCode ,String lossEventType);
	
	DataTableResponse getAllMaintLossEvents(String search, Integer orderColumn, String orderDirection, Integer page,
			Integer size,Integer legalEntityCode);
	
	Boolean isMaintLossEvents(Integer legalEntityCode, String lossEventCode, String lossEventType);
	
	
}
